package com.supwisdom.dlpay.framework.util;

public class TradeDict {
  /**
   * 状态：
   * normal -- 正常
   * closed -- 注销
   * locked -- 锁定、冻结
   * frozen -- 冻结
   * lost -- 挂失
   * unuse -- 未使用，未启用
   * abnormal -- 异常
   */
  public static final String STATUS_NORMAL = "normal";
  public static final String STATUS_CLOSED = "closed";
  public static final String STATUS_LOCKED = "locked";
  public static final String STATUS_LOST = "lost";
  public static final String STATUS_FROZEN = "frozen";
  public static final String STATUS_UNUSE = "unuse";
  public static final String STATUS_ABNORMAL = "abnormal";
  public static final String STATUS_UNCHECK = "uncheck";
  public static final String STATUS_REJECT = "reject";

  public static final String STATUS_YES = "yes";
  public static final String STATUS_NO = "no";
  /**
   * JWT 状态
   */
  public static final String JWT_STATUS_NORMAL = "normal";
  public static final String JWT_STATUS_BLACKLIST = "blacklist";

  /**
   * 流水状态
   * temp -- 临时流水
   * init -- 初始化流水
   * success -- 交易成功
   * fail -- 交易失败
   * cancel -- 交易取消
   */
  public static final String DTL_STATUS_TEMP = "temp";
  public static final String DTL_STATUS_INIT = "init";
  public static final String DTL_STATUS_SUCCESS = "success";
  public static final String DTL_STATUS_FAIL = "fail";
  public static final String DTL_STATUS_CANCEL = "cancel";
  public static final String DTL_STATUS_WIP = "wip";
  public static final String DTL_STATUS_NONE = "none";


  /**
   * 操作员类型
   * person - 个人
   * shop - 商户
   * operator - 操作员
   */

  public static final String OPERTYPE_PERSON = "person";
  public static final String OPERTYPE_SHOP = "shop";
  public static final String OPERTYPE_OPER = "operator";

  /**
   * 收支
   * out - 支出
   * in - 收入
   */
  public static final String TRADE_FLAG_OUT = "out";
  public static final String TRADE_FLAG_IN = "in";
  /**
   * 交易借方
   */
  public static final String TRANS_DIRECTION_CREDIT = "credit";
  public static final String TRANS_DIRECTION_DEBIT = "debit";


  /**
   * 支付方式
   */
  public static final String PAYTYPE_CASH = "cash";
  public static final String PAYTYPE_BALANCE = "balance";
  public static final String PAYTYPE_ALIPAY = "alipay"; //市民卡
  public static final String PAYTYPE_WECHAT = "wechat"; //市民卡
  public static final String PAYTYPE_CITIZEN_CARD = "citizenCard"; //市民卡
  public static final String PAYTYPE_YKT_CARD = "yktpay"; //一卡通
  public static final String PAYTYPE_OTHER_THIRDPART = "thirdpart"; //其他第三方

  public static final String PAYTYPE_APP = "APP"; //app内支付
  public static final String PAYTYPE_H5 = "H5"; //H5内支付
  public static final String PAYTYPE_JS = "JS"; //JS内支付
  public static final String PAYTYPE_SM = "SM"; //SM内支付

  public static final String SOURCETYPE_DEFAULT = "thirduid"; //第三方id默认
  /**
   * feetype
   * - 消费：折扣、搭伙费（管理费）
   * - 充值：优惠、服务费（手续费）
   */

  public static final String FEETYPE_CONSUME_MEALER = "mealer"; //收管理费
  public static final String FEETYPE_CONSUME_DISCOUNT = "discount"; //折扣款抵扣

  public static final String PAYTYPE_RECHARGE_COUPON = "coupon";  // 充值优惠
  public static final String PAYTYPE_RECHARGE_SERVICEFEE = "servicefee"; //收服务费

  /**
   * refund flag
   * - none : 无
   * - cancel : 冲正
   * - refund : 手工撤销
   */
  public static final String REVERSE_FLAG_NONE = "none";
  public static final String REVERSE_FLAG_WIP = "wip";
  public static final String REVERSE_FLAG_CANCEL = "cancel";
  public static final String REVERSE_FLAG_REFUND = "refund";
}
